from setuptools import setup, find_packages 

VERSION = '0.0.1'
DESCRIPTION = "Automatic prompt optimisation for general problem solving with LLMs"
LONG_DESCRIPTION = "Plug and play automated prompt optimisation that works with any given model or API. Also includes a minimal testing suite" 

setup(
       # the name must match the folder name 'verysimplemodule'
        name="YetAnotherPromptOptimiser", 
        version=VERSION,
        author="Tanishk Kithannae",
        author_email="tanishk.kithannae@wordlabs.io",
        description=DESCRIPTION,
        long_description=LONG_DESCRIPTION,
        packages=find_packages(),
        install_requires=[], # add any additional packages that 
        # needs to be installed along with your package. Eg: 'caer'
        
        keywords=['python', 'YAPO', 'prompt optimisation'],
        classifiers= [
            "Development Status :: 3 - Alpha",
            "Intended Audience :: Education",
            "Programming Language :: Python :: 2",
            "Programming Language :: Python :: 3",
            "Operating System :: MacOS :: MacOS X",
            "Operating System :: Microsoft :: Windows",
        ]
)